xine-lib: xine-lib-1.2.13/src/video_dec/libmpeg2/xvmc_vld.h File Reference

xine-lib 1.2.13-20230125hg15249

Functions
xvmc_vld.h File Reference
`#include "accel_xvmc.h"`
`#include "xvmc.h"`

Go to the source code of this file.

## Functions
void | mpeg2_xxmc_slice (mpeg2dec_accel_t *accel, picture_t *picture, int code, uint8_t *buffer, uint32_t chunk_size, uint8_t *chunk_buffer)
void | mpeg2_xxmc_vld_frame_complete (mpeg2dec_accel_t *accel, picture_t *picture, int code)

## Function Documentation

## ◆ mpeg2_xxmc_slice()

void mpeg2_xxmc_slice | ( | mpeg2dec_accel_t * | accel,
|  | picture_t * | picture,
|  | int | code,
|  | uint8_t * | buffer,
|  | uint32_t | chunk_size,
|  | uint8_t * | chunk_buffer )
| extern

References vo_frame_s::accel_data, alternate_scan, xine_vld_frame_s::backward_reference_frame, vo_frame_s::bad_frame, code, xine_vld_frame_s::concealment_motion_vectors, xine_xxmc_s::decoded, vo_frame_s::duration, xine_vld_frame_s::forward_reference_frame, FRAME_PICTURE, xine_vld_frame_s::intra_dc_precision, xine_vld_frame_s::intra_quantizer_matrix, xine_vld_frame_s::intra_vlc_format, xine_vld_frame_s::load_intra_quantizer_matrix, xine_vld_frame_s::load_non_intra_quantizer_matrix, lprintf, mpeg2_scan_alt, xine_vld_frame_s::mpeg_coding, xine_vld_frame_s::mv_ranges, xine_vld_frame_s::non_intra_quantizer_matrix, xine_vld_frame_s::picture_coding_type, xine_vld_frame_s::picture_structure, xine_vld_frame_s::pred_dct_frame, xine_xxmc_s::proc_xxmc_begin, xine_xxmc_s::proc_xxmc_slice, xine_vld_frame_s::progressive_sequence, xine_vld_frame_s::q_scale_type, xine_xxmc_s::result, mpeg2dec_accel_t::row_slice_count, xine_vld_frame_s::scan, xine_vld_frame_s::second_field, xine_xxmc_s::sleep, xine_xxmc_s::slice_code, xine_xxmc_s::slice_data, xine_xxmc_s::slice_data_size, mpeg2dec_accel_t::slices_per_row, xine_xxmc_s::vld_frame, mpeg2dec_accel_t::xvmc_last_slice_code, mpeg2dec_accel_t::xxmc_mb_pic_height, and zig_zag_scan.

Referenced by libmpeg2_accel_slice().

## ◆ mpeg2_xxmc_vld_frame_complete()

void mpeg2_xxmc_vld_frame_complete | ( | mpeg2dec_accel_t * | accel,
|  | picture_t * | picture,
|  | int | code )
| extern

References vo_frame_s::accel_data, vo_frame_s::bad_frame, code, xine_xxmc_s::decoded, xine_xxmc_s::proc_xxmc_flush, xine_xxmc_s::result, mpeg2dec_accel_t::row_slice_count, mpeg2dec_accel_t::slices_per_row, mpeg2dec_accel_t::xvmc_last_slice_code, and mpeg2dec_accel_t::xxmc_mb_pic_height.

Referenced by libmpeg2_accel_frame_completion().